<?php
   include("funciones/funciones_backup.php");   
   include("conexion/conexion.php");   
   include("Menu/menu_inicio.php");  
   include("Ordenes/ordenes.php"); 
   include("logos.php"); 
   include("conexion2.php");
   $nombrepagina = "Gestion De O.S No ".$ods." Con Estado ".$nomest;   
   encabezado($target);    
   $user=$_SESSION['validar'];   
   $tamano_pagina=10;
   $_SESSION['tam']=$tamano_pagina;  
   //echo "<br>".$_SESSION['id_user']."*-*-*-*-*";
   $pagina = $_GET["pagina"];
			    if(!$pagina){
		        	$inicio=0;
					$_SESSION['inicio']=$inicio;
		        	$pagina=1;
		  		}else{
		            $inicio=($pagina-1)*$tamano_pagina;
					$_SESSION['inicio']=$inicio;
		  		}
     $filas=1;   
      if($filas == 1)
	{ 
	 //$conn=mysql_connect("localhost", "root", "1234");
	 //menu($id_user);
	 class llamado{
	 var $menuObj;
	 //var
	      function validar1($id_user,$id_sucursal){
	 			  $this->menuObj=new menu_inicio();
				  $this->menuObj->menu2($id_user,$id_sucursal);
	  	  }
	 }
	 $llamadoObj=new llamado();
	 $llamadoObj->validar1($_GET['id_user'],$_GET['suc']);
	 entrada($user,$_GET['id_user'],$_GET['suc']);
	 echo"</td>";	 
	 echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
		 //echo"<br><br>";
	 mostrar_cabeza_trabajo($nombrepagina);	 
	 //$v_mysql=$conexion;
$area_ordenes='';
$campos_consulta='';
if($tabla<>"guias_proceso"){
$area_ordenes="";
}else{
if($_SESSION['area']!=0){
	$area_ordenes=' and especial2 in("'.$_SESSION['area'].'") ';
	$campos_consulta='Guia,Direccion,Ciudad,especial1,g.Orden';
	$titulos='Guia;Direccion;Ciudad;Barrio;Orden';
	 $elCSV ='Guia;Direccion;Ciudad;Barrio;Orden';
}else{
	$campos_consulta=$_SESSION['campos_consulta'];
	$titulos=$_SESSION['titulos'];
	 $elCSV = $_SESSION['header'];
}
}


$sql_registros="SELECT * FROM $tabla WHERE id_sucursal = '".$_GET['suc']."' AND orden = '$ods' AND id_estado = '$est' AND id_devolucion = '$dev'".$area_ordenes;

$rst_select_lotes=mysql_query($sql_registros,$conexion);
$filas=mysql_num_rows($rst_select_lotes);
$var_total_registros=$filas;
$total_paginas= ceil($filas/$tamano_pagina);
$sql_rastreo="SELECT g.orden, c.nombre, g.fecha_creacion, g.producto FROM ordenes AS g INNER JOIN clientes AS c ON g.id_cliente=c.id_cliente WHERE g.orden = '".$ods."'";
$rst_select_lotes=mysql_query($sql_rastreo,$conexion);
$datos=mysql_fetch_array($rst_select_lotes);
?>
<form action="" method="get" name="backup">
<CENTER>
<table width="350" border="0">
<tr class="">
<td class="titulo6" align="left">
Cliente: <? echo $datos[1];?>
</td>
<td class="titulo6" align="right">
Orden: <? echo $datos[0];?>
</td>
</tr>
<tr class="">
<td class="titulo6" align="left">
Producto: <? echo $datos[3];?>
</td>
<td class="titulo6" align="right">
Fecha: <? echo $datos[2];?>
</td>
</tr>
</table>
<a href="ejecuta_rastreo.php?id_user=<? echo $_GET['id_user'];?>&suc=<? echo $_GET['suc'];?>&ods=<? echo $ods?>&tabla=<? echo $tabla;?>" class="mainlevel"><b>REGRESAR</b></a>




<table width="710" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="14" class=miTable_th1><div align="center">..:: INFORMACION DE LA ORDEN No <? echo $ods;?> ::..</div></td>
</tr>
<tr class=miTable_tr>
<td colspan="14" class=miTable_th1>Cantidad de registros encontrados: <? print $var_total_registros;?></td>
</tr>
</table>

<!--/////////aqui debe ir el div////////////////////-->    
<div style='overflow-x:scroll;overflow-y:scroll;width:720px;height:480px'>
<table width="710" border="0" class="primaria">
<tr class="miTable_tr">
<td valign=top class=miTable_th1 width='65'>IMAGEN</td>
<td valign=top class=miTable_th1 width='65'><? echo$Trastreo?></td>

<?
if($_SESSION['area']!=0){
?>
<td valign=top class=miTable_th1 width="70"><div align="center"><? echo $Tguia ?></div></td>
<td valign=top class=miTable_th1 width="50"><? echo $Tdireccion ?></td>
<td valign=top class=miTable_th1 width="113"><? echo $Tciudad ?></td>
<td valign=top class=miTable_th1 width="150"><div align="center"><? echo $Tespecial1 ?></div></td>
<td valign=top class=miTable_th1 width="150"><div align="center"><? echo $Torden ?></div></td>
<?
}else{
?>
<td valign=top class=miTable_th1 width="70"><div align="center"><? echo $Tguia ?></div></td>
<td valign=top class=miTable_th1 width="50"><? echo $Torden ?></td>
<td valign=top class=miTable_th1 width="113"><? 
if($_SESSION['id_user']=='45'){
	echo "PQR";
}else{
	echo $Tempresa;
}
 ?></td>
<td valign=top class=miTable_th1 width="150"><div align="center"><? echo $Tdestinatario ?></div></td>
<td valign=top class=miTable_th1 width="150"><div align="center"><? echo $Tdireccion ?></div></td>
<td valign=top class=miTable_th1 width="150"><div align="center"><? echo $Tespecial5 ?></div></td>
<td valign=top class=miTable_th1 width="50"><div align="center"><? echo $Ttelefono ?></div></td>
<td valign=top class=miTable_th1 width="50"><div align="center"><? echo $Tciudad ?></div></td>
<td valign=top class=miTable_th1 width="50"><? echo $Tidentificacion ?></td>
<?
if(!empty($Tespecial1)){
	echo "<td valign=top class=miTable_th1 width='65'>".$Tespecial1."</td>";
}
if(!empty($Tespecial2)){
	echo "<td valign=top class=miTable_th1 width='65'>".$Tespecial2."</td>";
}
if(!empty($Tespecial3)){
	echo "<td valign=top class=miTable_th1 width='65'>".$Tespecial3."</td>";
}
if(!empty($Tespecial4)){
	echo "<td valign=top class=miTable_th1 width='65'>".$Tespecial4."</td>";
}

if(!empty($Tespecial6)){
	echo "<td valign=top class=miTable_th1 width='65'>".$Tespecial6."</td>";
}
if(!empty($Tespecial7)){
	echo "<td valign=top class=miTable_th1 width='65'>".$Tespecial7."</td>";
}
if(!empty($Tespecial8)){
	echo "<td valign=top class=miTable_th1 width='65'>".$Tespecial8."</td>";
}
if(!empty($Tespecial9)){
	echo "<td valign=top class=miTable_th1 width='65'>".$Tespecial9."</td>";
}
if(!empty($Tespecial10)){
	echo "<td valign=top class=miTable_th1 width='65'>".$Tespecial10."</td>";        
}
echo "<td valign=top class=miTable_th1 width='65'>PAQUETE</td>";
}



echo "</tr>";

	class elimina{
		  var $userObj;
		  function eliminar($tabla,$ods,$est,$dev){
		  			$tamano_pagina=$_SESSION['tam'];
					$inicio=$_SESSION['inicio'];
		  		   $this->userObj=new select_zonas();
				   $this->userObj->registros_ods($inicio,$tamano_pagina,$_GET['id_user'],$_GET['suc'],$tabla,$ods,$est,$dev);
		  }
	}
	$eliminaObj=new elimina();
	$eliminaObj->eliminar($tabla,$ods,$est,$dev);
?>
</tr>
</table>
</div>

<table>
<tr class=miTable_tr>
<td class=miTable_td colspan="9">
<div align="center">
<?
$id_user=$_GET['id_user'];
$id_sucursal=$_GET['suc'];
if($total_paginas>1)
		{   echo "Paginas:";
			//echo "&nbsp;&nbsp;"; 
			$start = ( $pagina-5 > 0 ? $pagina-5  : 1 );
			if ($start > 1 ){
				print "&nbsp;<a href=ver_registros.php?pagina=".($start-1)."&id_user=$id_user&suc=$id_sucursal&ods=$ods&tabla=$tabla&est=$est&dev=$dev&nomest=$nomest'> << </A>";
			}
			for($i = 0; $i < 10 && $total_paginas >= $start+$i; $i++){
				if($pagina == $start+$i){
					print "&nbsp;&nbsp;".($start+$i); 
				}else{
					print "&nbsp;&nbsp;<a href='ver_registros.php?pagina=".($start+$i)."&id_user=$id_user&suc=$id_sucursal&ods=$ods&tabla=$tabla&est=$est&dev=$dev&nomest=$nomest'>". ($start+$i)." </A>";
				}
		   	}
			if($start+$i < $total_paginas){
			    print "&nbsp;&nbsp;<a href='ver_registros.php?pagina=".($start+$i)."&id_user=$id_user&suc=$id_sucursal&ods=$ods&tabla=$tabla&est=$est&dev=$dev&nomest=$nomest'> >> </A>";

			}
		 	print "&nbsp;<a href=ver_registros.php?pagina=1&id_user=$id_user&suc=$id_sucursal&ods=$ods&tabla=$tabla&est=$est&dev=$dev&nomest=$nomest'>Primera P&aacute;gina</A>";
			print "&nbsp;<a href=ver_registros.php?pagina=".($total_paginas)."&id_user=$id_user&suc=$id_sucursal&ods=$ods&tabla=$tabla&est=$est&dev=$dev&nomest=$nomest'>&Uacute;ltima P&aacute;gina</A>";			
		 } 
?>
</div></td>
</tr>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="9">
<DIV align="center">
Ir a la pagina
<input type='text' name='pagina' value='' size="5" class="inputbox">
<input type='hidden' name='id_user' value='<? echo $id_user?>'>
<input type='hidden' name='suc' value='<? echo $id_sucursal?>'>
<input type='hidden' name='ods' value='<? echo $ods?>'>
<input type='hidden' name='tabla' value='<? echo $tabla?>'>
<input type='hidden' name='est' value='<? echo $est?>'>
<input type='hidden' name='dev' value='<? echo $dev?>'>
<input type='hidden' name='nomest' value='<? echo $nomest?>'>
<input type='submit' name='' value='Ir' class="inputbox">
</DIV></td>
</tr>
</table>
<a href="ejecuta_rastreo.php?id_user=<? echo $_GET['id_user'];?>&suc=<? echo $_GET['suc'];?>&ods=<? echo $ods?>&tabla=<? echo $tabla;?>" class="mainlevel"><b>REGRESAR</b></a>
</CENTER>

	 <?
	 mostrar_pie();
	} 
	 echo"</td>";
	echo"</tr>";   
   echo"</table>";     
echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
    echo"<tbody><tr>";
      echo"<td></td>";
    echo"</tr>";
    echo"<tr>";
      echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
    echo"</tr>";
	echo"<tr>";
	?>
	 <td>
	  <center>
	  <? pie_de_pagina();?>
	  </center>
	 </td>
	<?php
    echo"</tr>";
  echo"</tbody></table>";

   echo"</center>";
   echo"</body>";
   echo"</html>";
 
?>
</CENTER>
</form>
